package com.inspect.system.service;

import com.inspect.system.base.model.LoginUser;
import com.inspect.system.domain.SysUserOnline;

public interface ISysUserOnlineService {
    SysUserOnline selectOnlineByIpaddr(String ipAddr, LoginUser loginUser);

    SysUserOnline selectOnlineByUserName(String userName, LoginUser loginUser);

    SysUserOnline selectOnlineByInfo(String ipAddr, String userName, LoginUser loginUser);

    SysUserOnline loginUserToUserOnline(LoginUser loginUser);
}
